/* components/notification-card/NotificationCard.css */

.notification_card {
  width: 100%;
  margin-bottom: 14px;
}

.notification_card .notification_card_wrapper {
  display: flex;
  gap: 10px;
  padding: 10px;
  background: #f5f5f5 0% 0% no-repeat padding-box;
  border: 1px solid #70707029;
  border-radius: 3px;
  align-items: flex-start;
}
/* ===================================
   LEFT
=================================== */

.notification_card .notification_card_left {
  flex-shrink: 0;
}

.notification_card .notification_card_icon {
  width: 58px;
  height: 58px;
  aspect-ratio: 1/1;
  border-radius: 50%;
  background: #ffffff;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 28px;
  color: #707070;
  overflow: hidden;
  padding: 15px;
}
.notification_card .notification_card_icon img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
/* ===================================
   CENTER
=================================== */

.notification_card .notification_card_center {
  flex: 1;
}

.notification_card .notification_card_center h3 {
  font-size: 15px;
  font-weight: 700;
  color: #1a1a1a;
  display: -webkit-box;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
  overflow: hidden;
  overflow-wrap: break-word;
  word-break: normal;
}
.notification_card .notification_card_center p {
  font-size: 15px;
  font-weight: 500;
  color: #000000;
  margin: 0;
  display: -webkit-box;
  -webkit-line-clamp: 4;
  -webkit-box-orient: vertical;
  overflow: hidden;
  overflow-wrap: break-word;
  word-break: normal;
}

/* ===================================
   RIGHT
=================================== */

.notification_card .notification_card_right {
  flex-shrink: 0;
}

.notification_card .notification_card_right span {
  font-size: 13px;
  font-weight: 500;
  color: #010e1e;
}

/* ===================================
   RESPONSIVE
=================================== */

@media (max-width: 767px) {
  .notification_card .notification_card_wrapper {
    flex-direction: column;
    gap: 5px;
  }

  .notification_card .notification_card_right {
    width: 100%;
  }

  .notification_card .notification_card_right span {
    font-size: 14px;
  }

  .notification_card .notification_card_center h3 {
    font-size: 15px;
  }

  .notification_card .notification_card_center p {
    font-size: 14px;
  }
}
